---
include:
  - project: shore/ci-templates
    file: templates/pre-commit.yml
  - project: shore/ci-templates
    file: templates/docker.yml

stages:
  - test
  - build
  - deploy

# FIXME: Remove duplicate jobs once
# https://gitlab.com/gitlab-org/gitlab/-/issues/35742 is resolved.

build-ns4:
  extends: .compose-build
  tags: [ns4.shore.co.il]
  only:
    - ns4

pull-ns4:
  extends: .compose-pull
  tags: [ns4.shore.co.il]
  only:
    - ns4

run-ns4:
  extends: .compose-run
  tags: [ns4.shore.co.il]
  only:
    - ns4

build-host01:
  extends: .compose-build
  tags: [host01.shore.co.il]
  only:
    - host01

pull-host01:
  extends: .compose-pull
  tags: [host01.shore.co.il]
  only:
    - host01

run-host01:
  extends: .compose-run
  tags: [host01.shore.co.il]
  only:
    - host01

build-kodi:
  extends: .compose-build
  tags: [kodi.shore.co.il]
  only:
    - kodi

pull-kodi:
  extends: .compose-pull
  tags: [kodi.shore.co.il]
  only:
    - kodi

run-kodi:
  extends: .compose-run
  tags: [kodi.shore.co.il]
  only:
    - kodi
